curl --request GET \
--url https://api-next.ofauth.com/v2/access/subscriptions \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"avatar": "<string>",
"lists": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>"
}
],
"subscribedAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"isActive": true,
"subscriptionPrice": 123,
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"tipsSumm": 123,
"subscribesSumm": 123,
"messagesSumm": 123,
"postsSumm": 123,
"streamsSumm": 123,
"totalSumm": 123
}
],
"hasMore": true
}Get a paginated list of people you’re subscribed to/following. Use the type query parameter to filter: ‘all’ (default), ‘active’, or ‘expired’.
Permission Required: subscriptions:read
curl --request GET \
--url https://api-next.ofauth.com/v2/access/subscriptions \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'{
"list": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"avatar": "<string>",
"lists": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>"
}
],
"subscribedAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"isActive": true,
"subscriptionPrice": 123,
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"tipsSumm": 123,
"subscribesSumm": 123,
"messagesSumm": 123,
"postsSumm": 123,
"streamsSumm": 123,
"totalSumm": 123
}
],
"hasMore": true
}Requires a connection via the x-connection-id header.
Number of subscriptions to return (1-50)
1 <= x <= 50Number of items to skip (default: 0)
x >= 0Search/filter text
100Advanced filters
Show child attributes
Subscription status filter
all, active, expired Was this page helpful?